var url, request, id;
function doRequest(name, value, id, method) { 
  // name - numele campului care va fi transmis la server
  // value - stringul de transmis la server 
  // id - id-ul campului unde se va depune raspunsul serverului
  // method - metoda (GET sau POST) de transmitere a cererii
  this.id = id;
  request = getXmlHttpRequest(); // necesar la fiecare apel!
  request.onreadystatechange = waitResponse;  // Fixeaza functia ce proceseaza raspunsul 
  if (method =="POST") {
    request.open("POST", url, true); // deschide conexiunea cu serverul 
    request.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");
    request.send(name+"="+value); // trimite cererea la server
  } else if (method == "GET") {
    request.open("GET", url+"?"+name+"="+value, true); // deschide conexiunea cu serverul 
    request.send(""); // trimite cererea la server
  } else {
    alert("Eroare la method (trebuie GET sau POST): "+method);
  }
}
function getXmlHttpRequest() { // Furnizeaza obiectul XMLHttpRequest
  try { 
    request = new XMLHttpRequest(); // Mozila, Firefox, Netscape, Opera etc.
  } catch (e) { 
    try {
      request = new ActiveXObject('MSXML2.XMLHTTP'); // Microsoft IE
    } catch (e) { 
      try {
        request = new ActiveXObject('Microsoft.XMLHTTP'); // Microsoft IE
      } catch (e) { 
        alert("Browserul nu poate lucra cu AJAX: "+e);
        request = false;
      }
    }
  }
  return request;
}
function showResponse() {
  document.getElementById(id).value = request.responseText; // depune raspunsul
}
function waitResponse() { // Depune textul de la server in campul indexat cu id
  if (request.readyState == 4) { // cerere rezolvata
    if (request.status == 200) { // raspuns Ok
      showResponse();
    } else {
      alert("Eroare request.status: "+request.status);
    }
  }
}
